> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/objects/supplement.md).

# Supplement

### Fields

| Argument                    | Type                     | Description                                                                                                            |
| --------------------------- | ------------------------ | ---------------------------------------------------------------------------------------------------------------------- |
| `brand`                     | String!                  | Supplement brand.                                                                                                      |
| `name`                      | String!                  | Supplement name.                                                                                                       |
| `servingName`               | String!                  | Supplement serving name ex: Capsule, scoop, etc.                                                                       |
| `category`                  | String!                  | Supplement category.                                                                                                   |
| `directionsOfUse`           | \[DirectionsOfUseInput!] |                                                                                                                        |
| `directionsOfUse.timeOfDay` | TimeOfDay!               | <p>enum TimeOfDay {<br>AT\_WAKING<br>WITH\_BREAKFAST<br>WITH\_LUNCH<br>WITH\_DINNER<br>AT\_BEDTIME<br>ANYTIME<br>}</p> |
| `directionsOfUse.quantity`  | Float!                   | Recommended dosage.                                                                                                    |
| `mainImage`                 | String!                  | Main image URL.                                                                                                        |
| `description`               | String                   | Supplement description.                                                                                                |
| `directionsOfUseText`       | String                   | Recommended use instructions.                                                                                          |
| `externalId`                | String                   | External Id.                                                                                                           |
| `images`                    | \[String]                | Supplement images.                                                                                                     |
| `ingredients`               | String                   | Supplement ingredients.                                                                                                |
| `instructions`              | String                   | Supplement instructions.                                                                                               |
| `shopifyParentId`           | String                   | Shopify parent Id.                                                                                                     |
| `shopifyVariantId`          | String                   | Shopify variant Id.                                                                                                    |
| `sizeCount`                 | Int                      | Supplement size.                                                                                                       |
| `sku`                       | String                   | SKU                                                                                                                    |
| `storeId`                   | String                   | Store Id.                                                                                                              |
| `supplementFacts`           | String                   | Supplement Facts.                                                                                                      |
| `productUrl`                | String                   | URL of the supplement.                                                                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/supplement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
